import React from 'react';
import type { CheckboxOptions } from '../../modules/create-index/options';
declare type CheckboxInputProps = {
    name: CheckboxOptions;
    label: string;
    description: string;
    disabled?: boolean;
    checked: boolean;
    onChange(name: CheckboxOptions, newVal: boolean): void;
};
export declare const CheckboxInput: React.FunctionComponent<CheckboxInputProps>;
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<CheckboxInputProps>, {
    name: CheckboxOptions;
    disabled?: boolean | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=checkbox-input.d.ts.map